org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom

## Interface CustomPackage.Literals

Enclosing interface:
  CustomPackage

    public static interface CustomPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `CUSTOMIZATION` The meta object literal for the '`Customization`' class.
`static EAttribute` `CUSTOMIZATION__MUST_BE_LOADED_BY_DEFAULT` The meta object literal for the 'Must Be Loaded By Default' attribute feature.
`static EClass` `ECLASS_CUSTOMIZATION` The meta object literal for the '`EClass Customization`' class.
`static EClass` `ETYPED_ELEMENT_CASE` The meta object literal for the '`ETyped Element Case`' class.
`static EReference` `ETYPED_ELEMENT_CASE__CASE` The meta object literal for the 'Case' reference feature.
`static EReference` `ETYPED_ELEMENT_CASE__VALUE` The meta object literal for the 'Value' containment reference feature.
`static EClass` `ETYPED_ELEMENT_SWITCH_QUERY` The meta object literal for the '`ETyped Element Switch Query`' class.
`static EReference` `ETYPED_ELEMENT_SWITCH_QUERY__CASES` The meta object literal for the 'Cases' containment reference list feature.
`static EClass` `FACET_CUSTOMIZATION` The meta object literal for the '`Facet Customization`' class.
`static EReference` `FACET_CUSTOMIZATION__CUSTOMIZED_FACET` The meta object literal for the 'Customized Facet' reference feature.

### Field Detail

#### CUSTOMIZATION

    static final EClass CUSTOMIZATION

The meta object literal for the '`Customization`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomizationImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomPackageImpl#getCustomization()`
Generated:

#### CUSTOMIZATION__MUST_BE_LOADED_BY_DEFAULT

    static final EAttribute CUSTOMIZATION__MUST_BE_LOADED_BY_DEFAULT

The meta object literal for the 'Must Be Loaded By Default' attribute feature.

Generated:

#### ECLASS_CUSTOMIZATION

    static final EClass ECLASS_CUSTOMIZATION

The meta object literal for the '`EClass Customization`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.EClassCustomizationImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomPackageImpl#getEClassCustomization()`
Generated:

#### FACET_CUSTOMIZATION

    static final EClass FACET_CUSTOMIZATION

The meta object literal for the '`Facet Customization`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.FacetCustomizationImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomPackageImpl#getFacetCustomization()`
Generated:

#### FACET_CUSTOMIZATION__CUSTOMIZED_FACET

    static final EReference FACET_CUSTOMIZATION__CUSTOMIZED_FACET

The meta object literal for the 'Customized Facet' reference feature.

Generated:

#### ETYPED_ELEMENT_SWITCH_QUERY

    static final EClass ETYPED_ELEMENT_SWITCH_QUERY

The meta object literal for the '`ETyped Element Switch Query`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.ETypedElementSwitchQueryImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomPackageImpl#getETypedElementSwitchQuery()`
Generated:

#### ETYPED_ELEMENT_SWITCH_QUERY__CASES

    static final EReference ETYPED_ELEMENT_SWITCH_QUERY__CASES

The meta object literal for the 'Cases' containment reference list feature.

Generated:

#### ETYPED_ELEMENT_CASE

    static final EClass ETYPED_ELEMENT_CASE

The meta object literal for the '`ETyped Element Case`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.ETypedElementCaseImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomPackageImpl#getETypedElementCase()`
Generated:

#### ETYPED_ELEMENT_CASE__CASE

    static final EReference ETYPED_ELEMENT_CASE__CASE

The meta object literal for the 'Case' reference feature.

Generated:

#### ETYPED_ELEMENT_CASE__VALUE

    static final EReference ETYPED_ELEMENT_CASE__VALUE

The meta object literal for the 'Value' containment reference feature.

Generated: